package com.liang.service.impl;

import com.liang.entity.StaSchedule;
import com.liang.dao.StaScheduleDao;
import com.liang.service.StaScheduleService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;
import java.util.List;

/**
 * 进度安排(StaSchedule)表服务实现类
 *
 * @author makejava
 * @since 2023-04-09 22:07:01
 */
@Service("staScheduleService")
public class StaScheduleServiceImpl implements StaScheduleService {
    @Resource
    private StaScheduleDao staScheduleDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public StaSchedule queryById(Integer id) {
        return this.staScheduleDao.queryById(id);
    }

    /**
     * 通过主表查询数据
     *
     * @param zb 主键
     * @return 实例对象
     */
    @Override
    public List<StaSchedule> queryByZbId(Integer zb) {
        return this.staScheduleDao.queryByZbId(zb);
    }

    /**
     * 分页查询
     *
     * @param staSchedule 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @Override
    public Page<StaSchedule> queryByPage(StaSchedule staSchedule, PageRequest pageRequest) {
        long total = this.staScheduleDao.count(staSchedule);
        return new PageImpl<>(this.staScheduleDao.queryAllByLimit(staSchedule, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param staSchedule 实例对象
     * @return 实例对象
     */
    @Override
    public StaSchedule insert(StaSchedule staSchedule) {
        this.staScheduleDao.insert(staSchedule);
        return staSchedule;
    }

    /**
     * 修改数据
     *
     * @param staSchedule 实例对象
     * @return 实例对象
     */
    @Override
    public StaSchedule update(StaSchedule staSchedule) {
        this.staScheduleDao.update(staSchedule);
        return this.queryById(staSchedule.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.staScheduleDao.deleteById(id) > 0;
    }

    /**
     * 批量插入数据
     *
     * @param list
     * @return
     */
    @Override
    public int insertBatch(List<StaSchedule> list) {
        return this.staScheduleDao.insertBatch(list);
    }

    /**
     * 根据主表id删除记录
     *
     * @param zbId
     * @return
     */
    @Override
    public boolean deleteByZbId(Integer zbId) {
        return this.staScheduleDao.deleteByZbId(zbId) > 0;
    }

}
